#include <vector>
#include<string>
#include<fstream>
#include<stdlib.h>
using namespace std;
int main()
{
	vector <int> d(100000000,0);
	long long int n,s;
	long long int max=0;
	int nn=0;
	int te;
	ifstream fi("TANSUAT.inp");
	ofstream fo("TANSUAT.out");
	fi>>n;
	for(int i=0;i<n;i++)
	{
		fi>>s;
		if(s>max)
		{
			max=s;
		}
		d[s]++;
	}
	for(int u=0;u<=max;u++)
	{
		if(d[u]>nn)
		{
			nn=d[u];
		}
	}
	te=nn;
	if(nn==1)
	{
		fo<<"0";
	}
	for(int x=0;x<=max;x++)
	{
		if(nn==1)
		{
			break;
		}
		if(d[x]==nn)
		{
			fo<<d[x]<<" ";
		}
		if(x==max)
		{
			x=0;
			nn--;
		}
	}
	fo<<endl;
	nn=te;
	for(int y=0;y<=max;y++)
	{
		if(nn==1)
		{
			break;
		}
		if(d[y]==nn)
		{
			fo<<y<<" ";
		}
		if(y==max)
		{
			y=0;
			nn--;
		}
	}
	fi.close();
	fo.close();
	return 0;
}
	
